Bug 113413 - too many ipv6 aliases cause kernel oops
too many ipv6 aliases cause kernel oops
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
i686 Linux
medium Severity high
: ---
: ---
Assigned To: David Miller
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-13 12:54 EST by Joshua Jensen
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-11 21:08:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
ipv6-crashtest.sh (147 bytes, text/plain)
2004-01-13 12:55 EST, Joshua Jensen
no flags Details
Fix for ipv6 crashes. (1.49 KB, patch)
2004-04-08 16:57 EDT, David Miller
no flags Details | Diff

  None (edit)
Description Joshua Jensen 2004-01-13 12:54:16 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030807

Description of problem:
With the attached script, you can easily crash RHEL3 AS, with lots of
pretty kernel panic and stack dumps to the screen.

Version-Release number of selected component (if applicable):
kernel-2.4.21-4.0.2.EL.i686

How reproducible:
Always

Steps to Reproduce:
1. run my script as root
2.
3.
    

Additional info:
Comment 1 Joshua Jensen 2004-01-13 12:55:40 EST
Created attachment 96949 [details]
ipv6-crashtest.sh

This is the script that will force the kenrel to crash
Comment 2 Joshua Jensen 2004-01-26 16:45:56 EST
Any progress on this so far?  What is the upper limit to the number of
IPv6 aliases that a machine can have?
Comment 3 Joshua Jensen 2004-03-19 13:50:57 EST
?
Comment 4 David Miller 2004-03-19 14:07:58 EST
No progress, the earliest I'll be able to look at this is late next week.
Comment 9 David Miller 2004-04-08 16:57:31 EDT
Created attachment 99248 [details]
Fix for ipv6 crashes.

This fix from David Stevens will fix the bug.
Comment 10 Ernie Petrides 2004-04-14 18:37:41 EDT
Dave's fix in comment #9 has just now been committed to the
RHEL3 U2 kernel patch pool in kernel version 2.4.21-14.EL.
Comment 12 John Flanagan 2004-05-11 21:08:19 EDT
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-188.html

Note You need to log in before you can comment on or make changes to this bug.